#ifndef EXPANDER_H
#define EXPANDER_H
//------------------------------------------------------------------------------
#include "MCP23017_Prototypes.h"
#include "../../assets/SPI/SPI.h"
//------------------------------------------------------------------------------
void EXPANDER_init(char portA, char portB)
{
  SPI_init();          //Initialize I2C bus with clock frequency of 100kHz
  EXPANDER_write(IODIRA,portA);
  EXPANDER_write(IODIRB,portB);
}
//------------------------------------------------------------------------------
void EXPANDER_write(char portAddr, char data)
{
  CS1 = 0;              //Chip Select: active low
  SPI_write(WRITE);
  SPI_write(portAddr);
  SPI_write(data);
  CS1 = 1;
}
//------------------------------------------------------------------------------
char EXPANDER_read(char portAddr)
{
  CS1 = 0;
  SPI_write(READ);
  SPI_write(portAddr);
  char data = SPI_read();
  CS1 = 1;

  return data;
}
//------------------------------------------------------------------------------
#endif