#ifndef SEGMENT_FUNCTIONS_H
#define	SEGMENT_FUNCTIONS_H
//------------------------------------------------------------------------------
#include <string.h>
#include "Segments_Prototypes.h"
#include "../../assets/MCP23017/MCP23017.h"
//------------------------------------------------------------------------------
void Segments_init()
{
  EXPANDER_init(0x00,0x00);  //PortA & PortB all outputs
}
//------------------------------------------------------------------------------
void Segments_display(signed int number)
{      
  char strNum[10];
  sprintf(strNum,"%4i",number);
  
  for(char pos=0; pos < strlen(strNum); pos++)
  {
    char digit = getDigit(pos, strNum[pos]);
    
    Segments_dataSend(digit);
    Segments_colSelect(pos);
  }
}
//------------------------------------------------------------------------------
void Segments_dataSend(char data)
{
  EXPANDER_write( OLATA, data );   
}
//------------------------------------------------------------------------------
void Segments_colSelect(char pos)
{
  EXPANDER_write( OLATB, 0x01 << pos);    //Turn particular column On
  __delay_ms(5);
  EXPANDER_write( OLATB, 0);              //...then turn it Off
}
//------------------------------------------------------------------------------
char getDigit(char pos,char asciiChar)
{
    char digit = 0;
    
    if(asciiChar >= '0' && asciiChar <= '9')
    {
        char i = asciiChar - '0';
        digit = (pos == 2) ? (digits[i] & DECIMAL_POINT) : digits[i]; //ANDing with DECIMAL_POINT Turns off MSB
    }
    else
        if(asciiChar == '-')
        {
            digit = (pos == 2) ? (digits[0] & DECIMAL_POINT) : 0xBF;  //0xBF - minus symbol
        }
        else
            if(asciiChar == ' ')
            {
                digit = (pos == 2) ? (digits[0] & DECIMAL_POINT) : 0xFF; //0xFF - blank. used for leading zero suppression
            }
    
    return digit;
}
//------------------------------------------------------------------------------
#endif